<?php
require_once('../classes/body.class.php');
require_once('../classes/db.class.php');
require_once('../classes/system.class.php');
$title= new Body;
$title->SetTitle('База мошенников - Добавление мошенника');

///Подключаем шапку
$title->GetHeader();

if ($b == false) {
header('location: /');
die();
}
echo '<div class="container-fluid page_header"><div class="container"><div class="row"><div class="col-xs-12 col-sm-8 col-md-9 col-lg-9"><h1>База мошенников </h1><ol class="breadcrumb" xmlns:v="http://'.homeurl.'/#"><li typeof="v:Breadcrumb"><a href="/" rel="v:url" property="v:title">'.homeurl.'</a></li><li typeof="v:Breadcrumb"><a href="/blacklist" rel="v:url" property="v:title">База мошенников</a></li><li class="active" typeof="v:Breadcrumb"><span property="v:title">Добавление мошенника</span></li></ol></div></div></div></div>';
echo'<div class="container page_body"><div class="row"><div class="col-xs-12 page_content col-lg-9"><div class="navbar page_content_navbar collapse hidden-lg"><div class="container-fluid"><div class="navbar-collapse"></div></div></div><div class="text_box hidden-lg pr_block_small hidden"></div><div class="container-fluid cols_table">';
if (isset($_POST['add'])) {
$err = [];
$form = ['nick' => isset($_POST['nick']) ? check($_POST['nick']) : null, 'wmid' => isset($_POST['wmid']) ? abs((int)$_POST['wmid']) : null, 'wmr' => isset($_POST['wmr']) ? abs((int)$_POST['wmr']) : null, 'nicks' => isset($_POST['nicks']) ? check($_POST['nicks']) : null, 'info' => isset($_POST['info']) ? check($_POST['info']) : null, 'mail' => isset($_POST['mail']) ? check($_POST['mail']) : null, 'user_id' => isset($_POST['user_id']) ? intval($_POST['user_id']) : null, 'icq' => isset($_POST['icq']) ? intval($_POST['icq']) : null];
if (empty($form['nick']) && mb_strlen($form['nick']) < 2 OR mb_strlen($form['nick']) > 20) {
$err[] = 'Введите ник!';
}

if (preg_match('/[a-z]/i', $form['wmid'])) {
$err[] = 'Проверьте правильность ввода WMID! Он не должен быть пустой а так же содержать буквы.';
}

if (!preg_match('/[0-9]/i', $form['wmr'])) {
$err[] = 'Проверьте правильность ввода R кошелька! Он не должен быть пустой а так же содержать буквы.';
}

if ($form['wmid'] == '' OR $form['wmr'] == '') {
$err[] = 'WMID и WMR кошелек должны быть заполнены.';
}

if (mb_strlen($form['wmid']) < 12) {
$err[] = 'WMID: не меньше 12 цифр.';
}
if (mb_strlen($form['wmr']) < 12) {
$err[] = 'WMR: не меньше 12 цифр.';
}
if (empty($form['nicks'])) {
$err[] = 'Введите ники мошенника в сети.';
}
if (mb_strlen($form['mail']) < 3 OR mb_strlen($form['mail']) > 20) {
$err[] = 'Введите E-mail.';
}

if (empty($form['icq'])) {
$err[] = 'Укажите icq номер!';
}
if (empty($form['mail'])) {
$err[] = 'Укажите свой E-mail!';
}
if (empty($form['info'])) {
$err[] = 'Укажите описание!';
}
$stm = DB::$dbs->query("SELECT * FROM `ked` WHERE `nick` = ? AND `mail` = ? AND `user_id` = ?",[$form['nick'],$form['mail'],$form['user_id']]);
$result = $stm -> fetch(PDO::FETCH_OBJ);
if (!empty($result->nick)) {
$err[] = 'Такой ник в базе уже есть!';
}
if (!empty($result->mail)) {
$err[] = 'Такой E-mail в базе уже есть!';
}
if (!empty($result->user_id)) {
$err[] = 'Такой мошенник уже есть!';
}
if (DB::$dbs->querySingle("SELECT COUNT(*) FROM `ked` WHERE `wmid` = ?", [$form['wmid']]) > 0) {
$err[] = 'Такой WMID уже есть в системе!';
}
if (DB::$dbs->querySingle("SELECT COUNT(*) FROM `ked` WHERE `wmr` = ?", [$form['wmr']]) > 0) {
$err[] = 'Такой WMR кошелек уже есть в системе!';
}

if (DB::$dbs->querySingle("SELECT COUNT(*) FROM `blogger` WHERE `id` = ?", [$form['user_id']]) == 0) {
$err[] = 'Нет такого мастера в системе!';
}

$FileName = $_FILES['file']['name'];
$FileSize = $_FILES['file']['size'];
$GetExt = ['.bmp','.gif','.jpeg','.jpg','.png'];
$ext = strtolower(strrchr($_FILES['file']['name'], '.'));
if (empty($FileName)) $err[] = 'Не выбран файл!';
if(!preg_match('#([a-z0-9-_]{1,32})#i', $FileName)) $err[] = 'Не правильное имя файла!';
if ($FileSize > 1024 * 2 * 1024) $err[] = 'Размер файла более 2 Мб!';
if(preg_match('/(\.php|\.pl|\.htaccess)/i', $FileName) || !in_array($ext, $GetExt)) $err[] = 'Запрещенный формат файла!';
$filename = ''.homeurl.'_'.mt_rand(10000, 99999).$ext;
$fileurl = 'files/ked/'.$filename;
if (empty($err)) {
copy($_FILES['file']['tmp_name'], $_SERVER['DOCUMENT_ROOT'].'/files/ked/'.$filename);
if ($ext != '.gif') {
$Screen = $_SERVER['DOCUMENT_ROOT'].'/files/ked/'.$filename;
$imgc = @imagecreatefromstring(file_get_contents($_FILES['file']['tmp_name']));
$imgc = img_copyright($imgc);
imagejpeg($imgc, $Screen, 90);
}
DB::$dbs->query("INSERT INTO `ked` (`nick`,`nicks`,`wmr`,`info`,`user_id` ,`icq`,`mail`,`screen`,`time`,`who_add`,`wmid`) VALUES (?,?,?,?,?,?,?,?,?,?,?)", array($form['nick'],$form['nicks'],$form['wmr'],$form['info'],$form['user_id'],$form['icq'],$form['mail'],$filename,time(),$b['id'],$form['wmid']));

echo '<div class="row text_box">Данные добавлены и отправлены на модерацию!</div>';
} else {
echo '<div class="error">';
foreach($err as $error) {
echo '<b>'.$error.'</b><br/>';
}
echo '</div>';
}
}
echo '<div class="catSides"><a href="/blacklist/"><i class="md-format-list-bulleted"></i> Черный список</a> - Добавление мошенника </div><div class="row text_box"><form action="?" method="POST" enctype="multipart/form-data">* Основной ник мошенника (на этом сайте):<br/><input class="form-control"type="text" name="nick"/> <br/>
* Ники в сети:(через запятую)<br/><input type="text" class="form-control"name="nicks"/> <br/>
* ID мошенника (тут):<br/><input type="text" class="form-control"name="user_id"/> <br/>
* Описание: (доки, ссылки на скрины,фото, темы)<br/><textarea class="form-control" rows="3" name="info"></textarea><br/>
* Скриншот:<br/><input type="file" name="file"/><br/>
* WMID <br/><input type="text" class="form-control"name="wmid"/> </textarea><br/>
* WMR <br/><input type="text" class="form-control"name="wmr"/> </textarea><br/>
* ICQ:<br/><input type="text" class="form-control"name="icq"/> <br/>
* Email:<br/><input type="text" class="form-control"name="mail"/> <br/><br/>
<input type="submit" name="add" class="btn btn-primary btn-lg btn-block" value="Добавить"/></form></div>';

///Подключаем меню
$title->GetMenu();
///Подключаем футер
$title->GetFooter();
?>